1.0.2 API documentation: GLM_GTC_random

| 1.0.2 API documentation

Functions
GLM_GTC_random
Recommended extensions

## Functions
template<typename T >
GLM_FUNC_DECL vec< 3, T, defaultp > | ballRand (T Radius)
| Generate a random 3D vector which coordinates are regularly distributed within the volume of a ball of a given radius. More...
template<typename T >
GLM_FUNC_DECL vec< 2, T, defaultp > | circularRand (T Radius)
| Generate a random 2D vector which coordinates are regularly distributed on a circle of a given radius. More...
template<typename T >
GLM_FUNC_DECL vec< 2, T, defaultp > | diskRand (T Radius)
| Generate a random 2D vector which coordinates are regularly distributed within the area of a disk of a given radius. More...
template<typename genType >
GLM_FUNC_DECL genType | gaussRand (genType Mean, genType Deviation)
| Generate random numbers in the interval [Min, Max], according a gaussian distribution. More...
template<typename genType >
GLM_FUNC_DECL genType | linearRand (genType Min, genType Max)
| Generate random numbers in the interval [Min, Max], according a linear distribution. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | linearRand (vec< L, T, Q > const &Min, vec< L, T, Q > const &Max)
| Generate random numbers in the interval [Min, Max], according a linear distribution. More...
template<typename T >
GLM_FUNC_DECL vec< 3, T, defaultp > | sphericalRand (T Radius)
| Generate a random 3D vector which coordinates are regularly distributed on a sphere of a given radius. More...

## Detailed Description

Include <glm/gtc/random.hpp> to use the features of this extension.

Generate random number from various distribution methods.

## Function Documentation

## ◆ ballRand()

GLM_FUNC_DECL vec<3, T, defaultp> glm::ballRand | ( | T | Radius | ) |

Generate a random 3D vector which coordinates are regularly distributed within the volume of a ball of a given radius.

See also
  GLM_GTC_random

## ◆ circularRand()

GLM_FUNC_DECL vec<2, T, defaultp> glm::circularRand | ( | T | Radius | ) |

Generate a random 2D vector which coordinates are regularly distributed on a circle of a given radius.

See also
  GLM_GTC_random

## ◆ diskRand()

GLM_FUNC_DECL vec<2, T, defaultp> glm::diskRand | ( | T | Radius | ) |

Generate a random 2D vector which coordinates are regularly distributed within the area of a disk of a given radius.

See also
  GLM_GTC_random

## ◆ gaussRand()

GLM_FUNC_DECL genType glm::gaussRand | ( | genType | Mean,
|  | genType | Deviation
| ) |  |

Generate random numbers in the interval [Min, Max], according a gaussian distribution.

See also
  GLM_GTC_random

## ◆ linearRand() [1/2]

GLM_FUNC_DECL genType glm::linearRand | ( | genType | Min,
|  | genType | Max
| ) |  |

Generate random numbers in the interval [Min, Max], according a linear distribution.

Parameters

  Min | Minimum value included in the sampling
  Max | Maximum value included in the sampling

Template Parameters

  genType | Value type. Currently supported: float or double scalars.

See also
  GLM_GTC_random

## ◆ linearRand() [2/2]

GLM_FUNC_DECL vec<L, T, Q> glm::linearRand | ( | vec< L, T, Q > const & | Min,
|  | vec< L, T, Q > const & | Max
| ) |  |

Generate random numbers in the interval [Min, Max], according a linear distribution.

Parameters

  Min | Minimum value included in the sampling
  Max | Maximum value included in the sampling

Template Parameters

  T | Value type. Currently supported: float or double.

See also
  GLM_GTC_random

## ◆ sphericalRand()

GLM_FUNC_DECL vec<3, T, defaultp> glm::sphericalRand | ( | T | Radius | ) |

Generate a random 3D vector which coordinates are regularly distributed on a sphere of a given radius.

See also
  GLM_GTC_random